Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class AttributeExp

    java.lang.Object
      |
      +--com.sun.wbem.query.ValueExp
            |
            +--com.sun.wbem.query.AttributeExp

Direct Known Subclasses:
  QualifiedAttributeExp

public class AttributeExp
extends ValueExp

This class represents SQL attributes used as arguments to SQL relational constraints. An `AttributeExp` may be used anywhere a `ValueExp` is required.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`AttributeExp()` Creates a new `AttributeExp` with an empty attribute name
`AttributeExp(java.lang.String attr)` Creates a new `AttributeExp` representing the object attribute named by attr.

Method Summary
`ValueExp` | `apply(CIMElement obj)` Returns the value associated with this attribute for the input 'row'.
`java.lang.String` | `getAttributeName()` Accessor for attribute name.
`java.lang.String` | `toString()` Returns the SQL syntax string representing its value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeExp

    public AttributeExp(java.lang.String attr)

  Creates a new `AttributeExp` representing the object attribute named by attr.
  Parameters:
    `attr` - The name of the attribute

### AttributeExp

    public AttributeExp()

  Creates a new `AttributeExp` with an empty attribute name

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Accessor for attribute name.

### apply

    public ValueExp apply(CIMElement obj)
                   throws CIMException

  Returns the value associated with this attribute for the input 'row'. In WQL, rows are mapped into CIMElements. The only supported CIMElement is CIMInstance. For CIMInstance, the returned Value is the value of the property with the same name as the attribute name.
  Overrides:
    apply in class ValueExp
  Parameters:
    `obj` - input 'row'
  Returns:
    ValueExp associated with the 'column' of the same name in the input 'row'

### toString

    public java.lang.String toString()

  Returns the SQL syntax string representing its value.
  Overrides:
    toString in class java.lang.Object
  Returns:
    The expression's string value in SQL syntax.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD